@import 'font.scss';
// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}

// global class
.text{
    &--blue{
        color: #2fa0ff;
    }
    &--yellow{
        color: #febf01;
    }
    &--brown{
        color: #c4a193;
    }
}
.text-center{
    text-align: center;
}
.clearfix{
    &::after {
        content: "";
        display: block;
        clear: both;
    }
}
.container{
    width: 980px;
    margin: 0 auto;
}

.section{
    &__head {
        text-align: center;
        z-index: 2;
        position: relative;
        & h3{
            padding: 10px;
            display: inline-block;
            border-radius: 30px;
            margin: 0 auto;
            color: #c4a193;
            font-size: 30px;
            position: relative;
            &::before,
            &::after{
                width: 120px;
                height: 18px;
                display: block;
                position: absolute;
                top: 50%;
                margin-top: -5px;
            }
            &::before{
                content: '';
                // background: url('./../static/images/before.png') no-repeat top center;
                right: 100%;
            }
            &::after{
                content: '';
                // background: url('./../static/images/after.png') no-repeat top center;
                left: 100%;
            }
        }
    }
    &__btn{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 50px;
    }
    &__wrapper{
        padding: 70px 130px;
        color: #fff;
    }
}
.btn{
    font-family: 'Kanit', sans-serif;
    font-size: 30px;
    cursor: pointer;
    border: 0;
    &:focus{
        outline: none;
    }
}

.btn-default{
    // background: url('./../static/images/button.png') no-repeat 0 0;
    color: #4d3a40;
    padding: 10px 15px 18px 15px;
    width: 220px;
    margin-top: 20px;
    &:hover{
        background-position: 0 -87px;
    }

    &.disabled{
        filter: grayscale(1);
    }
}
img{
    max-width: 100%;
    vertical-align: middle;
}
//banner
.preorder {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    //height:3365px;
    background-color: #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--header {
            height: 800px;
        }
    }
    & .preorder-inner{
        // // background: no-repeat top center url(../static/images/hoem_background.png);
        width: 1105px;
        margin: 0 auto;
        position: relative;
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
    &__scroll{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 65px;
        & img{
            animation: mover 1s infinite alternate;
        }
    }
    & .btn-promotion{
        background-color: #e38182;
        border: 2px solid #fff;
        padding: 7px 25px;
        color: #fff;
        border-radius: 50px;
        font-size: 26px;
        position: absolute;
        bottom: 130px;
        left: 150px;
        text-decoration: none;
        z-index: 99;
        &:hover{
            background-color: #f87778;
        }
    }
}

//section condition
.condition {
    &__text {
        padding-left: 30px;
        li {
            list-style-type: decimal;
        }
    }

    & .section__content{
       color:#fff;
       font-size: 20px;
    }
}
.bg__blog{
    & .container{
        // // background: url("./../static/images/bg_blog.png") no-repeat top center;
        height: 580px;
        padding-bottom: 50px;
    }
}

.icon-plus{
    // // background: url('./../static/images/items/plus.png') no-repeat top center;
    width: 40px;
    height: 40px;
    position: absolute;
    right: 0;
    bottom: 0;
    cursor: pointer;
}
.items{
    &__content{
        line-height: 22px;
        margin-top: 10px;
        font-size: 16px;
    }
    &__img{
        position: relative;
        display: inline-block;
    }
}
.itemsInline{
    display: inline-block;
    width: 20%;
    vertical-align: top;
    padding: 0 20px;
    margin-bottom: 20px;
    box-sizing: border-box;
    &__content{
        line-height: 22px;
        margin-top: 10px;
        font-size: 16px;
    }
    &__img{
        position: relative;
    }
}
.text-diamon{
    font-size: 44px;
    margin-top: 20px;
}
.random__gacha{
    &::before{
        content: '';
        // // background: url('./../static/images/charactor_random1.png') no-repeat top center;
        width: 397px;
        height: 465px;
        display: block;
        position: absolute;
        left: 0;
        bottom: 0;
    }
    &::after{
        content: '';
        // // background: url('./../static/images/charactor_random2.png') no-repeat top center;
        width: 300px;
        height: 535px;
        display: block;
        position: absolute;
        right: 0;
        bottom: 0;
    }
}

//history page
.page__wrapper{
    // background: url("./../static/images/bg_history.png") no-repeat top center;
    width: 1105px;
    height: 700px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    & .container{
        // background: url("./../static/images/bg_blog.png") no-repeat top center;
        height: 600px;
        margin-top: 165px;
    }
}
// .history{
//     &__list{
//         & li::after {
//             content: "";
//             display: block;
//             clear: both;
//         }
//         &--left{
//             float: left;
//         }
//         &--right{
//             float: right;
//         }
//     }
// }

//exchange page
.exchange{
    // background: url("./../static/images/bg_exchange.png") no-repeat top center;
}

//section random gacha
.random__gacha{
    & .section__wrapper{
        padding-top: 130px;
    }
}
//section gachapon
.gachapon{
    & .container{
        &__bg{
            margin-left: -77px;
            margin-right: -77px;
            border-left: 0;
            border-right: 0;
            border-radius: 0;
        }
    }
    &__items{
        position: relative;
        display: inline-block;
        margin: 20px;
        font-size: 0;
        &:after{
        // &:hover::after{
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            box-shadow: inset 0 0 50px 2px #f6e3c3;
            -moz-box-shadow: inset 0 0 50px 2px #f6e3c3;
            -webkit-box-shadow: inset 0 0 50px 2px #f6e3c3;
            border-radius: 10px;
            opacity: 0;
        }
        &--rnd0infinite::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd5infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd6infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd7infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd5::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd6::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd7::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected::after { @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }

    }
}

.content__scroll{
    height: 330px;
    overflow-y: auto;
}
